/*
  (c) Copyright 2003, 2004, 2005, 2006, 2007 Hewlett-Packard Development Company, LP
  [See end of file]
  $Id: NullListener.java,v 1.8 2007/01/02 11:53:30 andy_seaborne Exp $
*/

package com.hp.hpl.jena.rdf.listeners;

import java.util.*;

import com.hp.hpl.jena.rdf.model.*;

/**
    A listener that ignores everything you tell it; intended as a base class
    or an identity element. Each method is implemented as {}.
    
 	@author kers
*/
public class NullListener implements ModelChangedListener
    {
    public void addedStatement( Statement s ) {}
    public void addedStatements( Statement [] statements ) {}
    public void addedStatements( List statements ) {}
    public void addedStatements( StmtIterator statements ) {}
    public void addedStatements( Model m ) {}
    public void removedStatement( Statement s ) {}   
    public void removedStatements( Statement [] statements ) {}
    public void removedStatements( List statements ) {}
    public void removedStatements( StmtIterator statements ) {}
    public void removedStatements( Model m ) {}            
    public void notifyEvent( Model m, Object event ) {}
    }
        

/*
    (c) Copyright 2003, 2004, 2005, 2006, 2007 Hewlett-Packard Development Company, LP
    All rights reserved.

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions
    are met:

    1. Redistributions of source code must retain the above copyright
       notice, this list of conditions and the following disclaimer.

    2. Redistributions in binary form must reproduce the above copyright
       notice, this list of conditions and the following disclaimer in the
       documentation and/or other materials provided with the distribution.

    3. The name of the author may not be used to endorse or promote products
       derived from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
    IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
    OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
    IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
    INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
    NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
    DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
    THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
    THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/